Upgrading PHP:

I started down this path: http://jazzymarketing.com/main/0811/upgrade-php-51-php-52-centos but found that I kept getting dependency conflicts:

--> Missing Dependency: libltdl.so.3()(64bit) is needed by package php-mcrypt-5.3.2-1.el5.remi.x86_64 (remi)
php-mhash-5.2.10-1.el5.remi.x86_64 from remi has depsolving problems

--> Missing Dependency: php-common = 5.2.10-1.el5.remi is needed by package php-mhash-5.2.10-1.el5.remi.x86_64 (remi)
php-gd-5.3.2-1.el5.remi.x86_64 from remi has depsolving problems

--> Missing Dependency: libt1.so.5()(64bit) is needed by package php-gd-5.3.2-1.el5.remi.x86_64 (remi)
Error: Missing Dependency: libt1.so.5()(64bit) is needed by package php-gd-5.3.2-1.el5.remi.x86_64 (remi)
Error: Missing Dependency: libltdl.so.3()(64bit) is needed by package php-mcrypt-5.3.2-1.el5.remi.x86_64 (remi)
Error: Missing Dependency: php-common = 5.2.10-1.el5.remi is needed by package php-mhash-5.2.10-1.el5.remi.x86_64 (remi)

I finally came across this forum posting: http://forums.famillecollet.com/viewtopic.php?id=91 but this still came up with similar dependency issues.

This finally got the answer I needed: http://www.webtatic.com/blog/2009/06/php-530-on-centos-5/ But then I got this error:

Transaction Check Error:
  file /etc/my.cnf from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/charsets/Index.xml from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/charsets/README from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/charsets/ascii.xml from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/charsets/cp1250.xml from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/czech/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/danish/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/dutch/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/english/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/estonian/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/french/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/german/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/greek/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/hungarian/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/italian/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/japanese/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/korean/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/norwegian-ny/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/norwegian/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/polish/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/portuguese/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/romanian/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/russian/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/serbian/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/slovak/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/spanish/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/swedish/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /usr/share/mysql/ukrainian/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.x86_64
  file /etc/my.cnf from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/charsets/Index.xml from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/charsets/README from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/charsets/ascii.xml from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/charsets/cp1250.xml from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/czech/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/danish/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/dutch/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/english/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/estonian/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/french/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/german/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/greek/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/hungarian/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/italian/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/japanese/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/korean/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/norwegian-ny/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/norwegian/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/polish/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/portuguese/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/romanian/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/russian/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/serbian/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/slovak/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/spanish/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/swedish/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386
  file /usr/share/mysql/ukrainian/errmsg.sys from install of mysql-libs-5.1.48-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.45-7.el5.i386

Error Summary
-------------

I know that I am running MySql 5.0.x so I determined that I needed to update MySql. I did that, and was able to get to 5.1.48 but when I tried to restart mysql, I got this error:

$: /tmp $ /etc/init.d/mysqld stop</div>
$: Stopping mysqld:                                           [  OK  ]</div>
$: /tmp $ /etc/init.d/mysqld start</div>
$: MySQL Daemon failed to start.</div>
$: Starting mysqld:                                           [FAILED]</div>
r$: /tmp $ /etc/init.d/mysqld stopStopping mysqld:                                           [  OK  ]$: tmp $ /etc/init.d/mysqld startMySQL Daemon failed to start.Starting mysqld:                                           [FAILED]

in my logs, I showed this error:

100619 06:08:27 mysqld_safe Starting mysqld daemon with databases from /var/lib/mysql
100619  6:08:27 [ERROR] Error message file '/usr/share/mysql/english/errmsg.sys' had only 480 error messages,
but it should contain at least 641 error messages.
Check that the above file is the right version for this program!
/usr/libexec/mysqld: Unknown error 1146
100619  6:08:27 [ERROR] Can't open the mysql.plugin table. Please run mysql_upgrade to create it.
100619  6:08:28  InnoDB: Started; log sequence number 0 2465238
100619  6:08:28 [ERROR] Aborting

100619  6:08:28  InnoDB: Starting shutdown...
100619  6:08:33  InnoDB: Shutdown completed; log sequence number 0 2465238
100619  6:08:33 [Note]
100619 06:08:33 mysqld_safe mysqld from pid file /var/run/mysqld/mysqld.pid ended

This posting saved my life: http://shebangme.blogspot.com/2010/04/mysql-error-message-file-had-only-480.html

WOW! This sucked! I had to find the exact MySql version I was running, in my case mysql-5.1.48-linux-x86_64-glibc23 and then unpack this and get share/mysql/english/errmsg.sys uploaded to my server, then run mysql_install_db, then mysqld start to get the server running. This took me the better part of 4 hours to track this down.

Mick Knutson

Java, JavaEE, J2EE, WebLogic, WebSphere, JBoss, Tomcat, Oracle, Spring, Maven, Architecture, Design, Mentoring, Instructor and Agile Consulting. http://www.baselogic.com/blog/resume

View all posts
  • rhinocerous

    many thanks for this post!! I was running into the same problem trying to install mysql on a fresh centos5 install and this error was driving me crazy. very nice catch.

  • John

    Thanks man, your blog post saved me a lot of trouble.

  • You just saved my install, thanks! I was about to reinstalled CentOS since I couldn't seem to upgrade MySQL 5.1.52.

    I even went as far as making a ticket at bugs.mysql.com (http://bugs.mysql.com/bug.php?id=61808) and you solved it before they could answer!

    =D

Java / JavaEE / Spring Boot Channel

BLiNC Supporters

BLiNC Adsense

Archives

Newsletter